## org.codehaus.groovy.vmplugin
Class VMPluginFactory

    java.lang.Object
      org.codehaus.groovy.vmplugin.VMPluginFactory

    public class VMPluginFactory

extends Object

factory class to get functionlity based on the VM version. The usage of this class is not for public use, only for the runtime.

Author:
  Jochen Theodorou

Constructor Summary
`VMPluginFactory()`

Method Summary
`static VMPlugin` `getPlugin()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMPluginFactory

    public VMPluginFactory()

Method Detail

### getPlugin

    public static VMPlugin getPlugin()

Copyright © 2003-2008 The Codehaus. All rights reserved.